DNF-NEEDS-RESTARTING(8)

BEZEICHNUNG
dnf-needs-restarting - needs_restarting-Plugin von DNF

Prüft auf laufende Prozesse, die neu gestartet werden sollten.

ÜBERSICHT

dnf needs-restarting [-u] [-r]

BESCHREIBUNG

needs-restarting durchsucht laufende Prozesse und versucht diejenigen zu erkennen, die Dateien aus Paketen verwenden, die nach dem Start des angegebenen Prozesses aktualisiert wurden. Solche Prozesse werden von diesem Werkzeug gemeldet.

Beachten Sie, dass ein Prozess in den meisten Fällen eine Aktualisierung seiner Programmdatei und der von ihm genutzten Bibliotheken überleben sollte und weiter korrekt läuft, ohne dass er neu gestartet werden müsste. Es gibt allerdings besondere Fälle, in denen dies nicht zutrifft. Außerdem müssen Prozesse oft neu gestartet werden, damit Sicherheitsaktualisierungen wirksam werden können.

OPTIONEN

Alle allgemeinen DNF-Optionen werden akzeptiert, siehe Optionen in dnf(8) für Details.

-u, --useronly
        berücksichtigt nur Prozesse des ausführenden Benutzers.

-r, --reboothint
        meldet nur, ob ein Neustart des Systems erforderlich ist (Exit-Code 1) oder nicht (Exit-Code 0).

    -s, --services
        listet nur die betroffenen Systemd-Dienste auf.

KONFIGURATION

/etc/dnf/plugins/needs-restarting.d/

/etc/dnf/plugins/needs-restarting.d/pkgname.conf

Pakete können über Konfigurationsdateien im Konfigurationsverzeichnis zu needs-restarting hinzugefügt werden. Die Konfigurationsdateien müssen die Endung .conf haben, sonst werden sie ignoriert.

In einer Datei ist zwar die Angabe mehrerer Pakete erlaubt, wenn jedes Paket ein einer eigenen Zeile steht, aber es wird empfohlen, für jedes Paket eine separate Datei zu verwenden.

Beispiel:

        ^".ft C$
        echo "dwm" > /etc/dnf/plugins/needs-restarting.d/dwm.conf
        ^".ft P$

AUTOR
Siehe AUTHORS im Paket der Core DNF Plugins.

COPYRIGHT
2023, Red Hat, lizenziert unter GPLv2+

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).